Last Comment Bug 367461 - Tab Preview Should Be Disabled for Current Tab
: Tab Preview Should Be Disabled for Current Tab
Status: RESOLVED FIXED
: fixed-seamonkey1.1.1
Product: SeaMonkey
Classification: Client Software
Component: UI Design (show other bugs)
: 1.8 Branch
: All All
: -- enhancement (vote)
: seamonkey1.1final
Assigned To: Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-18 23:16 PST by David E. Ross
Modified: 2008-07-31 04:23 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch (1023 bytes, patch)
2007-01-19 18:51 PST, Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com]
neil: review+
neil: superreview+
kairo: approval‑seamonkey1.1.1+
Details | Diff | Review

Description David E. Ross 2007-01-18 23:16:32 PST
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.2pre) Gecko/20070111 SeaMonkey/1.1
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.2pre) Gecko/20070111 SeaMonkey/1.1

When I select a tab, its page moves in front of the other tabs, becoming the "current tab".  It's annoying to see the preview of that same page -- blocking me from viewing part of the page itself -- merely because I haven't moved my cursor off the tab.

Reproducible: Always

Steps to Reproduce:
1.  Open several tabs.  
2.  Select a tab that is not the current tab.  
Actual Results:  
There is a preview of the tab that duplicates in miniature what is in the current navigator window.  The preview is over the window.  

Expected Results:  
Since I already see the window, I should not see a preview.  

While I can disable tab previews by setting browser.tabs.tooltippreview.enable to False, that disables ALL previews.  This bug report requests disabling the preview only for the current tab.  

Perhaps this should not be an option since I can't think of why anyone would want a tiny preview of what is already visible in full size.
Comment 1 Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2007-01-19 18:51:12 PST
Created attachment 252127 [details] [diff] [review]
patch

ajschult provided a convincing argument.
Comment 2 neil@parkwaycc.co.uk 2007-01-20 15:47:22 PST
Comment on attachment 252127 [details] [diff] [review]
patch

>+          if (!this.mPrefs.getBoolPref("browser.tabs.tooltippreview.enable")
>+              || tab == this.mCurrentTab) {
Nits:
Check the tab first, it's quicker
|| goes at the end of the line, not the start of the next line
r+sr=me with those fixed.
Comment 3 Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2007-01-21 12:37:33 PST
Fixed on trunk.
Comment 4 Ian Neal 2007-02-13 15:49:59 PST
a=me for SM1.1.1 (one more needed)
Comment 5 Robert Kaiser (not working on stability any more) 2007-02-14 05:49:37 PST
Comment on attachment 252127 [details] [diff] [review]
patch

a=me for 1.1.1

Note You need to log in before you can comment on or make changes to this bug.